
From: NeilBrown <neilb@cse.unsw.edu.au>

This test is overly specific, and misses raid10.
Assume all levels >= 1 might need reconstruction instead.

Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/md/md.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN drivers/md/md.c~md-remove-kludgy-level-check-from-mdc drivers/md/md.c
--- 25/drivers/md/md.c~md-remove-kludgy-level-check-from-mdc	2005-03-11 12:32:26.000000000 -0800
+++ 25-akpm/drivers/md/md.c	2005-03-11 12:32:26.000000000 -0800
@@ -1435,9 +1435,8 @@ static int analyze_sbs(mddev_t * mddev)
 
 
 
-	if ((mddev->recovery_cp != MaxSector) &&
-	    ((mddev->level == 1) ||
-	     ((mddev->level >= 4) && (mddev->level <= 6))))
+	if (mddev->recovery_cp != MaxSector &&
+	    mddev->level >= 1)
 		printk(KERN_ERR "md: %s: raid array is not clean"
 		       " -- starting background reconstruction\n",
 		       mdname(mddev));
_
